Skip to main content
PATCH
Update a custom channel

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

channelId
integer<int32>
required

The unique identifier of the custom channel to update.

Body

application/json
capabilities
object
required

An object that defines the capabilities of the channel. This can include various properties that describe what the channel can do.

channelAccountConnectionRedirectUrl
object
required

An object representing the URL used to redirect for channel account connection.

channelDescription
object
required

An object containing the description of the channel.

channelLogoUrl
object
required

An object representing the URL of the channel's logo.

name
object
required

An object representing the name of the channel.

webhookUrl
object
required

An object representing the URL for the webhook associated with the channel.

Response

successful operation

capabilities
object
required

An object detailing the capabilities of the channel, with additional properties as objects.

createdAt
string<date-time>
required

The date and time when the channel was created, in ISO 8601 format.

id
string
required

A string that uniquely identifies the channel.

name
string
required

A string representing the name of the channel.

channelAccountConnectionRedirectUrl
string

A string representing the URL used to redirect for channel account connection.

channelDescription
string

A string providing a description of the channel.

channelLogoUrl
string

A string representing the URL of the channel's logo.

webhookUrl
string

A string representing the URL to which webhook events will be sent.

Last modified on September 9, 2026